%global debug_package %{nil}

Name:          edb-debugger
Version:       1.5.0
Release:       %autorelease
Summary:       edb is a cross platform AArch32/x86/x86-64 debugger

License:       GPL-2.0-or-later
URL:           https://github.com/eteran/%{name}
Source0:       https://github.com/eteran/%{name}/releases/download/%{version}/%{name}-%{version}.tgz

BuildRequires: boost-devel
BuildRequires: capstone-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: graphviz-devel
BuildRequires: libappstream-glib
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: qt5-linguist

%description
edb is a cross platform AArch32/x86/x86-64 debugger. It was inspired by
Ollydbg, but aims to function on AArch32, x86, and x86-64 as well as multiple
OS's. Linux is the only officially supported platform at the moment, but
FreeBSD, OpenBSD, OSX and Windows ports are underway with varying degrees of
functionality.

%prep
%autosetup -n %{name}

%build
%cmake
%cmake_build

%install
%cmake_install

desktop-file-validate %{buildroot}/%{_datadir}/applications/edb.desktop

mkdir -p %{buildroot}%{_metainfodir}
install -p -m 644 edb.appdata.xml %{buildroot}%{_metainfodir}/
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/edb.appdata.xml

%files
%license COPYING
%doc BUGS CHANGELOG README.md TODO
%{_bindir}/edb
%{_datadir}/applications/edb.desktop
%{_datadir}/pixmaps/edb.png
%{_libdir}/edb
%{_mandir}/man1/edb.1*
%{_metainfodir}/edb.appdata.xml

%changelog
%autochangelog
